Mandriva: 2013:262: python-pycrypto
Posted by Benjamin D. Thomas   
Mandrake Updated python-pycrypto package fixes security vulnerability: In PyCrypto before v2.6.1, the Crypto.Random pseudo-random number generator (PRNG) exhibits a race condition that may cause it to generate the same 'random' output in multiple processes that are [More...]
 _______________________________________________________________________

 Mandriva Linux Security Advisory                         MDVSA-2013:262
 http://www.mandriva.com/en/support/security/
 _______________________________________________________________________

 Package : python-pycrypto
 Date    : October 28, 2013
 Affected: Business Server 1.0
 _______________________________________________________________________

 Problem Description:

 Updated python-pycrypto package fixes security vulnerability:
 
 In PyCrypto before v2.6.1, the Crypto.Random pseudo-random number
 generator (PRNG) exhibits a race condition that may cause it to
 generate the same 'random' output in multiple processes that are
 forked from each other.  Depending on the application, this could
 reveal sensitive information or cryptographic keys to remote attackers
 (CVE-2013-1445).
 _______________________________________________________________________

 References:

 http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2013-1445
 http://advisories.mageia.org/MGASA-2013-0319.html
 _______________________________________________________________________

 Updated Packages:

 Mandriva Business Server 1/X86_64:
 9e1d85ee578d7784fe684789718b7a16  mbs1/x86_64/python-pycrypto-2.3-3.2.mbs1.x86_64.rpm 
 bb1eee393936c861ea88e56fe6cbe206  mbs1/SRPMS/python-pycrypto-2.3-3.2.mbs1.src.rpm
 _______________________________________________________________________

 To upgrade automatically use MandrivaUpdate or urpmi.  The verification
 of md5 checksums and GPG signatures is performed automatically for you.

 All packages are signed by Mandriva for security.  You can obtain the
 GPG public key of the Mandriva Security Team by executing:

  gpg --recv-keys --keyserver pgp.mit.edu 0x22458A98

 You can view other update advisories for Mandriva Linux at:

  http://www.mandriva.com/en/support/security/advisories/

 If you want to report vulnerabilities, please contact

  security_(at)_mandriva.com
 _______________________________________________________________________